#include <fstream>
#include <iostream>

using std::cout;
using std::cerr;
using std::cin;
using std::endl;
using std::ofstream;

char menu(int page = 1);

int main()
{
    ofstream outfile;

    outfile.open("options.h");
    if (outfile.fail())
    {
	cerr << "Error opening options.h" << endl;
	return 1;
    }
    char c = 0;

    do {
	c = menu();
        switch(c)
	{
	    case '1':
		outfile << "#define UNREAL" << endl;
		outfile << "#undef BAHAMUT" << endl;
		outfile << "#undef P10" << endl;
		break;
	    case '2':
		outfile << "#undef UNREAL" << endl;
		outfile << "#define BAHAMUT" << endl;
		outfile << "#undef P10" << endl;
		break;
	    case '3':
		outfile << "#undef UNREAL" << endl;
		outfile << "#undef BAHAMUT" << endl;
		outfile << "#define P10" << endl;
		break;
	    default:
		break;
	}
    }while (c == 'Q' || c == 'q' || (int(c) < 48) || (int(c) > 57));

    do {
	c = menu(2);
	switch(c)
	{
	    case 'y':
	    case 'Y':
		outfile << "#define DEBUGMODE" << endl;
		break;
	    case 'n':
	    case 'N':
		outfile << "#undef DEBUGMODE" << endl;
		break;
	    default:
		break;
	}
    }while (c != 'y' && c != 'Y' && c != 'n' && c != 'N');
    outfile.close();
return 0;
}

char menu(int page)
{
    char selection = 0;

    if (page == 2)
    {
	cout << "Do you want to enable debug mode? (Y/N): ";
    }
    else
    {
	cout << "Choose your IRCD" << endl;
	cout << "1. Unreal3.x" << endl
	     << "2. bahamut-1.4.x" << endl
	     << "3. ircu 2.10.x (P10)" << endl;
	cout << "Make your selection: ";
    }

    cin >> selection;
    return selection;
}
